package com.telpo.iotgateway;

import com.telpo.iotgateway.server.IotSubscribe;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.context.properties.ConfigurationPropertiesScan;
import org.springframework.cloud.client.discovery.EnableDiscoveryClient;
import org.springframework.context.ConfigurableApplicationContext;
import org.springframework.core.env.ConfigurableEnvironment;
import org.springframework.scheduling.annotation.EnableAsync;
import org.springframework.scheduling.annotation.EnableScheduling;

/**
 * @program: DataPushServer
 * @description: 推送服务启动程序
 * @author: linwl
 * @create: 2020-07-10 18:04
 */
@SpringBootApplication
@EnableDiscoveryClient
@ConfigurationPropertiesScan
@EnableAsync
@EnableScheduling
@Slf4j
public class IotGatewayApplication {

  public static void main(String[] args) {
    ConfigurableApplicationContext applicationContext = SpringApplication.run(IotGatewayApplication.class, args);

    ConfigurableEnvironment environment = applicationContext.getEnvironment();
    IotSubscribe iotSubscribe = new IotSubscribe(environment);
    iotSubscribe.start();
    log.info("推送服务启动!");
  }
}
